%define	module	Log-Log4perl
%define	name	perl-%{module}
%define version 1.20
%define release %mkrel 1

%define _requires_exceptions perl\(Log::Dispatch::FileRotate\)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Log4j implementation for Perl
License:	GPL or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Log/%{module}-%{version}.tar.bz2
Requires:	perl-Log-Dispatch >= 2.00
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl-Log-Dispatch >= 2.00
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%{module} module for perl.  It provides a powerful logging API to your
application.  Log::Log4perl lets you remote-control and fine-tune the
logging behaviour of your system from the outside. It implements the
widely popular (Java-based) Log4j logging package in pure Perl.

%prep
%setup -q -n %{module}-%{version}
find lib -type f -exec chmod 644 {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE README xml eg
%{perl_vendorlib}/Log
%{_mandir}/man3/*



%changelog
* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 314250
- update to new version 1.20

* Mon Nov 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.19-1mdv2009.1
+ Revision: 299391
- update to new version 1.19

* Sun Aug 31 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-1mdv2009.0
+ Revision: 277952
- update to new version 1.18

* Mon Jul 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2009.0
+ Revision: 239315
- update to new version 1.17

* Wed May 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2009.0
+ Revision: 209688
- update to new version 1.16

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2008.1
+ Revision: 168826
- update to new version 1.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdv2008.1
+ Revision: 111152
- update to new version 1.14

* Sun Oct 21 2007 Funda Wang <fundawang@mandriva.org> 1.13-1mdv2008.1
+ Revision: 100835
- update to new version 1.13

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2008.0
+ Revision: 47696
- update to new version 1.12

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-1mdv2008.0
+ Revision: 20262
- 1.10


* Sat Aug 19 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-19 13:10:56 (56887)
- 1.06

* Sat Aug 19 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-08-19 13:06:21 (56886)
Import perl-Log-Log4perl

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.05-1mdv2007.0
- New version 1.05

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdk
- New release 1.04

* Sun Mar 05 2006 Michael Scherer <misc@mandriva.org> 1.03-2mdk
- add Requires exception, to break dependencies loop, to fix bug #19365

* Fri Feb 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.03-1mdk
- New release 1.03

* Tue Dec 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdk
- New release 1.02
- %%mkrel

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- New release 1.01
- drop requires exceptions
- don't ship tests in doc

* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.00-1mdk
- New release 1.00

* Tue Jan 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.51-1mdk
- 0.51
- Update BuildRequires
- Enable tests

* Sat Jul 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.47-1mdk
- 0.47

* Sat Jun 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.46-1mdk
- 0.46

* Fri Jun 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.45-1mdk
- 0.45

* Mon May 17 2004 Michael Scherer <misc@mandrake.org> 0.44-1mdk
- New release 0.44
- rpmbuildupdate aware

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.30-4mdk
- rebuild
- remove dependencies on perl(devel) modules

